package ru.myitschool.work.ui.searchuser

import android.content.Context
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import dagger.hilt.android.lifecycle.HiltViewModel
import dagger.hilt.android.qualifiers.ApplicationContext
import kotlinx.coroutines.flow.asSharedFlow
import kotlinx.coroutines.launch
import ru.myitschool.work.utils.MutablePublishFlow
import javax.inject.Inject

@HiltViewModel
class SearchUserViewModel @Inject constructor(
    @ApplicationContext private val context: Context,
) : ViewModel() {
    private val _action = MutablePublishFlow<Action>()
    val action = _action.asSharedFlow()

    fun closeSearchUser(){
        viewModelScope.launch {
            _action.emit(Action.OpenProfile)
        }
    }
    sealed interface Action {
        data object OpenProfile: Action
    }
}